/* See LICENSE file for copyright and license details. */
/* Default settings; can be overriden by command line. */
static int centered = 0;                    /* -c option; centers dmenu on screen */
static int min_width = 500; 
static const char *symbol_2 = "";
static const char *symbol_1 = "";
static int topbar = 1;                      /* -b  option; if 0, dmenu appears at bottom     */
static int fuzzy = 1;                      /* -F  option; if 0, dmenu doesn't use fuzzy matching     */
/* -fn option overrides fonts[0]; default X11 font or font set */
static const char *fonts[] = {
 "FiraCode Nerd Font:style=Light:size=8",//English
 "Chiron Sans HK Light:style=Light:size=8",//Chinese,Japanese,Korean
 "JoyPixels:style=Regular:size=8",//Emoji 
};
static const char *prompt      = NULL;      /* -p  option; prompt to the left of input field */
static const char high[]       = "#f1fa8c";
static const char *colors[SchemeLast][2] = {
	/*     fg         bg       */
	[SchemeNorm] = {  "#f8f8f2", "#282a36" },
	[SchemeSel] = {  "#f8f8f2", "#ff5555" },
	[SchemeSelHighlight] = { high, "#ff5555" },
	[SchemeNormHighlight] = { high, "#282a36" },
	[SchemeOut] = { "#000000", "#8be9fd"},
	[SchemeMid] = { "#50fa7b","#282a36" },
};
/* -l option; if nonzero, dmenu uses vertical list with given number of lines */
static unsigned int lines      = 0;

/*
 * Characters not considered part of a word while deleting words
 * for example: " /?\"&[]"
 */
static const char worddelimiters[] = " ";
